MyGUI: MyGUI::CharInfo Class Reference

MyGUI 3.4.3

Public Member Functions
MyGUI::CharInfo Class Reference

`#include <MyGUI_TextViewData.h>`

## Public Member Functions
| CharInfo ()
| CharInfo (const FloatRect &_rect, float _width, float _height, float _advance, float _bearingX, float _bearingY)
| CharInfo (uint32 _colour)
bool | isColour () const
float | getWidth () const
float | getHeight () const
float | getAdvance () const
float | getBearingX () const
float | getBearingY () const
const FloatRect & | getUVRect () const
uint32 | getColour () const

## Detailed Description

Definition at line 15 of file MyGUI_TextViewData.h.

## Constructor & Destructor Documentation

## ◆ CharInfo() [1/3]

MyGUI::CharInfo::CharInfo | ( |  | ) |
| inline

Definition at line 18 of file MyGUI_TextViewData.h.

## ◆ CharInfo() [2/3]

MyGUI::CharInfo::CharInfo | ( | const FloatRect & | _rect,
|  | float | _width,
|  | float | _height,
|  | float | _advance,
|  | float | _bearingX,
|  | float | _bearingY )
| inline

Definition at line 28 of file MyGUI_TextViewData.h.

## ◆ CharInfo() [3/3]

MyGUI::CharInfo::CharInfo | ( | uint32 | _colour | ) |
| inline

Definition at line 45 of file MyGUI_TextViewData.h.

## Member Function Documentation

## ◆ getAdvance()

float MyGUI::CharInfo::getAdvance | ( |  | ) | const
| inline

Definition at line 66 of file MyGUI_TextViewData.h.

## ◆ getBearingX()

float MyGUI::CharInfo::getBearingX | ( |  | ) | const
| inline

Definition at line 71 of file MyGUI_TextViewData.h.

## ◆ getBearingY()

float MyGUI::CharInfo::getBearingY | ( |  | ) | const
| inline

Definition at line 76 of file MyGUI_TextViewData.h.

## ◆ getColour()

uint32 MyGUI::CharInfo::getColour | ( |  | ) | const
| inline

Definition at line 86 of file MyGUI_TextViewData.h.

## ◆ getHeight()

float MyGUI::CharInfo::getHeight | ( |  | ) | const
| inline

Definition at line 61 of file MyGUI_TextViewData.h.

## ◆ getUVRect()

const FloatRect & MyGUI::CharInfo::getUVRect | ( |  | ) | const
| inline

Definition at line 81 of file MyGUI_TextViewData.h.

## ◆ getWidth()

float MyGUI::CharInfo::getWidth | ( |  | ) | const
| inline

Definition at line 56 of file MyGUI_TextViewData.h.

## ◆ isColour()

bool MyGUI::CharInfo::isColour | ( |  | ) | const
| inline

Definition at line 51 of file MyGUI_TextViewData.h.

## Field Documentation

## ◆ mColour

uint32 MyGUI::CharInfo::mColour

Definition at line 107 of file MyGUI_TextViewData.h.

## ◆ mMetrics

Metrics MyGUI::CharInfo::mMetrics

Definition at line 106 of file MyGUI_TextViewData.h.

The documentation for this class was generated from the following file:

- MyGUI_TextViewData.h